---
- hosts: all
  remote_user: dalibo
  become: True
  become_user: root
  # https://github.com/ansible/ansible/issues/54855#issuecomment-488499713
  tags: debug
  vars:
    common_packages:
      - dnf
      - nano
      - python3
      - python3-pip
      - gzip
      - bzip2
      - lz4
      - curl
      - wget
      - git
      - python3-psycopg2
      - python2-psycopg2
      - tmux
      - sysstat
      - iotop
      # nécessiterait epel-release (pas en DBA1)
      # atop , htop
      # screen
  tasks:
    # Mise à jour trop longue sur les machines du QG! 
    #- name: Upgrade all
      #yum:
        #name: "*"
        #state: latest
    - name: Useful packages
      yum:
        name: "{{ common_packages }}"
        state: present
        update_cache: true


